<?php
/**
 * @version		$Id: default.php 22359 2011-11-07 16:31:03Z github_bot $
 * @package		Joomla.Site
 * @subpackage	com_content
 * @copyright	Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers');

// Create shortcuts to some parameters.
$params		= $this->item->params;
$canEdit	= $this->item->params->get('access-edit');
$user		= JFactory::getUser();

// BT Template Helper
$bt_helper = JPATH_BASE.DS.'templates'.DS.'bt_xsoft'.DS.'helpers'.DS.'bt_helper.php';
require_once ($bt_helper);
$bt = new btTemplateHelper();

// BT Get inner width
$bt_content_tools_width = (($params->get('show_author') && $article->author != "") || ($params->get('show_create_date')) || ($params->get('show_section')) || $params->get('show_category') || ($params->get('show_print_icon') || $params->get('show_email_icon')) ) ? 200 : 0;
$bt_content_header_bc_width = ($params->get('show_create_date')) ? (int)$bt->bt_main_inner_width - 70 : (int)$bt->bt_main_inner_width - 0;
$bt_content_header_b_width = $bt_content_header_bc_width - $bt_content_tools_width - 20;
$bt_content_width = (int)$bt->bt_main_inner_width - 210;

?>
<div class="item-page<?php echo $this->pageclass_sfx?>">
<?php if ($this->params->get('show_page_heading', 1)) : ?>
	<h1>
	<?php echo $this->escape($this->params->get('page_heading')); ?>
	</h1>
<?php endif; ?>

<div class="bt_content">
	
    <?php if ($params->get('show_create_date')) : ?>
    <div class="bt_content_a">
       	<?php 
		$bt_day = date("d",strtotime($this->item->created));
		$bt_month = date("M",strtotime($this->item->created));
		$bt_year = date("Y",strtotime($this->item->created));
		echo '<div class="bt_day">'.$bt_day .'</div><div class="bt_month">'.$bt_month .'</div><div class="bt_year">'.$bt_year .'</div>';
		?>
    </div>
    <?php endif; ?>
    
    <div class="bt_content_bc" style="width: <?php echo $bt_content_header_bc_width; ?>px;">
    <?php
    $border_none = $padding_none = 
	($params->get('show_create_date') || 
	(
		$params->get('show_author') && !empty($this->item->author ) 
		|| $params->get('show_create_date')
		|| $params->get('show_modify_date')
		|| $params->get('show_publish_date')
		|| ($params->get('show_parent_category') && $this->item->parent_slug != '1:root')
		|| $params->get('show_category')
		|| $params->get('show_print_icon')
		|| $params->get('show_email_icon')
		)	
	) ? '' : 'border: none !important; padding: 0 0 5px 0 !important;';
	?>
        <div class="bt_content_b" style="width: <?php echo $bt_content_header_b_width; ?>px;<?php echo $border_none; ?>">
            <div class="bt_content_title" style="<?php echo $border_none; ?>">
                <?php if ($params->get('show_title')) : ?>
                    <?php if ($params->get('link_titles') && !empty($this->item->readmore_link)) : ?>
                        <a href="<?php echo $this->item->readmore_link; ?>">
                        <?php echo $this->escape($this->item->title); ?></a>
                    <?php else : ?>
                        <?php echo $this->escape($this->item->title); ?>
                    <?php endif; ?>
                <?php endif; ?>
			   <?php if ($canEdit) : ?>
                    <?php echo JHtml::_('icon.edit', $this->item, $params); ?>
                <?php endif; ?>
            </div>
        </div>
		
        <?php 
		if (
		$params->get('show_author') && !empty($this->item->author ) 
		|| $params->get('show_create_date')
		|| $params->get('show_modify_date')
		|| $params->get('show_publish_date')
		|| ($params->get('show_parent_category') && $this->item->parent_slug != '1:root')
		|| $params->get('show_category')
		|| $params->get('show_print_icon')
		|| $params->get('show_email_icon')
		)
		: ?>
        <div class="bt_content_details">
            <div class="bt_content_data">

				<?php if ($params->get('show_author') && !empty($this->item->author )) : ?>
                    <div class="bt_content_author">
                    <?php $author = $this->item->created_by_alias ? $this->item->created_by_alias : $this->item->author; ?>
                    <?php if (!empty($this->item->contactid) && $params->get('link_author') == true): ?>
                    <?php
                        $needle = 'index.php?option=com_contact&view=contact&id=' . $this->item->contactid;
                        $item = JSite::getMenu()->getItems('link', $needle, true);
                        $cntlink = !empty($item) ? $needle . '&Itemid=' . $item->id : $needle;
                    ?>
                        <?php echo JText::sprintf('COM_CONTENT_WRITTEN_BY', JHtml::_('link', JRoute::_($cntlink), $author)); ?>
                    <?php else: ?>
                        <?php echo JText::sprintf('COM_CONTENT_WRITTEN_BY', $author); ?>
                    <?php endif; ?>
                    </div>
					<div class="bt_horizontal_separator">&nbsp;</div>
                <?php endif; ?>

				<?php if ($params->get('show_create_date')) : ?>
                <div class="bt_content_createdate">
                    <?php echo JText::sprintf('COM_CONTENT_CREATED_DATE_ON', JHtml::_('date',$this->item->created, JText::_('DATE_FORMAT_LC2'))); ?>
                </div>    
                <div class="bt_horizontal_separator">&nbsp;</div>
                <?php endif; ?>
                
                <?php if ($params->get('show_modify_date')) : ?>
                <div class="bt_content_createdate">
                    <?php echo JText::sprintf('COM_CONTENT_LAST_UPDATED', JHtml::_('date',$this->item->modified, JText::_('DATE_FORMAT_LC2'))); ?>
                </div>    
                <div class="bt_horizontal_separator">&nbsp;</div>
                <?php endif; ?>

				<?php if ($params->get('show_publish_date')) : ?>
                <div class="bt_content_createdate">
                    <?php echo JText::sprintf('COM_CONTENT_PUBLISHED_DATE_ON', JHtml::_('date',$this->item->publish_up, JText::_('DATE_FORMAT_LC2'))); ?>
                </div>    
				<div class="bt_horizontal_separator">&nbsp;</div>
                <?php endif; ?>

                <?php if ($params->get('show_parent_category') && $this->item->parent_slug != '1:root') : ?>
                <div class="bt_content_category">
                    <?php	$title = '<strong>'.$this->escape($this->item->parent_title).'</strong>';
                    $url = '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->parent_slug)).'">'.$title.'</a>';?>
                    <?php if ($params->get('link_parent_category') and $this->item->parent_slug) : ?>
                        <?php echo JText::sprintf('COM_CONTENT_PARENT', $url); ?>
                    <?php else : ?>
                        <span class="bt_content_category_txt"><?php echo JText::sprintf('COM_CONTENT_PARENT', $title); ?></span>
                    <?php endif; ?>
                </div>
                <div class="bt_horizontal_separator">&nbsp;</div>
                <?php endif; ?>

				<?php if ($params->get('show_category')) : ?>
                <div class="bt_content_category">
                    <?php 	$title = '<strong>'.$this->escape($this->item->category_title).'</strong>';
                    $url = '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->catslug)).'">'.$title.'</a>';?>
                    <?php if ($params->get('link_category') and $this->item->catslug) : ?>
                        <?php echo JText::sprintf('COM_CONTENT_CATEGORY', $url); ?>
                    <?php else : ?>
                        <?php echo JText::sprintf('COM_CONTENT_CATEGORY', $title); ?>
                    <?php endif; ?>
                </div>    
                <div class="bt_horizontal_separator">&nbsp;</div>
                <?php endif; ?>
                
                <?php if ($params->get('show_hits')) : ?>
                <div class="bt_content_hits">
                    <?php echo JText::sprintf('COM_CONTENT_ARTICLE_HITS', $this->item->hits); ?>
                </div>
                <div class="bt_horizontal_separator">&nbsp;</div>
                <?php endif; ?>

	    	<?php if ($params->get('show_print_icon') || $params->get('show_email_icon')) : ?>    
				<?php if (!$this->print) : ?>
                    <?php if ($params->get('show_print_icon')) : ?>
		            	<div class="bt_content_print">
                        	<?php echo JHtml::_('icon.print_popup',  $this->item, $params); ?>
                        </div>
                    <?php endif; ?>
            
                    <?php if ($params->get('show_email_icon')) : ?>
                    	<div class="bt_content_email">
                        	<?php echo JHtml::_('icon.email',  $this->item, $params); ?>
                        </div>
                    <?php endif; ?>
                        
                <?php else : ?>
                    <?php echo JHtml::_('icon.print_screen',  $this->item, $params); ?>
                <?php endif; ?>
                
	        <?php endif; ?>
                
            </div>
        </div>
        <?php endif; ?>
        
	</div>
	
    <br clear="all" />
    <div class="bt_content_text">
    
    	<?php  if (!$params->get('show_intro')) :
		echo $this->item->event->afterDisplayTitle;
		endif; ?>

		<?php echo $this->item->event->beforeDisplayContent; ?>
    	
        <?php if (isset ($this->item->toc)) : ?>
			<?php echo $this->item->toc; ?>
        <?php endif; ?>
        
        <?php if ($params->get('access-view')):?>
	<?php echo $this->item->text; ?>

	<?php //optional teaser intro text for guests ?>
	<?php elseif ($params->get('show_noauth') == true and  $user->get('guest') ) : ?>
        <?php echo $this->item->introtext; ?>
        <?php //Optional link to let them register to see the whole article. ?>
        <?php if ($params->get('show_readmore') && $this->item->fulltext != null) :
            $link1 = JRoute::_('index.php?option=com_users&view=login');
            $link = new JURI($link1);?>
            <p class="readmore">
            <a href="<?php echo $link; ?>">
            <?php $attribs = json_decode($this->item->attribs);  ?>
            <?php
            if ($attribs->alternative_readmore == null) :
                echo JText::_('COM_CONTENT_REGISTER_TO_READ_MORE');
            elseif ($readmore = $this->item->alternative_readmore) :
                echo $readmore;
                if ($params->get('show_readmore_title', 0) != 0) :
                    echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
                endif;
            elseif ($params->get('show_readmore_title', 0) == 0) :
                echo JText::sprintf('COM_CONTENT_READ_MORE_TITLE');
            else :
                echo JText::_('COM_CONTENT_READ_MORE');
                echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
            endif; ?></a>
            </p>
        <?php endif; ?>
    <?php endif; ?>
    <?php echo $this->item->event->afterDisplayContent; ?>
<div id="bredcrumbs"><h2><a href="http://yaodessit.com" title="работа в одессе">работа в одессе</a></h2></div>
    </div>
</div>

</div>
